
PENGADIAN EMAS - Bug #15798

[UAT] [AND] [IOS] [Registration] Negative Testing Surrounding System - ESB Down - Error Message

###9907 & 10014 &10015

21 February 2023 10:12 AM - yap chekying

Status: Closed Start date: 21 February 2023

Priority: Urgent Due date:  

Assignee: yap chekying % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

When ESB down, M2U crashed after TAC in the registration flow.

the expected result: showed acknowledment screen with gagal in the title and error message "System unavailable". if tapped done,

will show same error message "System unavailable"

UID: UATEMAS129

Related issues:

Related to Bug #15797: [UAT] [AND] [Registration] Negative Testing Surroundin... Closed 21 February 2023

History

#1 - 22 February 2023 04:07 PM - Hao Ter Tai

- Assignee changed from Hao Ter Tai to santhosh Krishna

FE added checking, pending BE return response data

#2 - 23 February 2023 09:13 AM - santhosh Krishna

- Related to Bug #15797: [UAT] [AND] [Registration] Negative Testing Surrounding System - Systematics Down - Error Message ###9908 added

#3 - 23 February 2023 11:11 AM - santhosh Krishna

- Status changed from New to Resolved

- Assignee changed from santhosh Krishna to yap chekying

#4 - 23 February 2023 03:58 PM - yap chekying

- Status changed from Resolved to Pending Close

#5 - 28 February 2023 09:46 PM - yap chekying

- Subject changed from [UAT] [AND] [Registration] Negative Testing Surrounding System - ESB Down - Error Message ###9907 to [UAT] [AND] [IOS]

[Registration] Negative Testing Surrounding System - ESB Down - Error Message ###9907

- Status changed from Pending Close to Assigned

- Assignee changed from yap chekying to santhosh Krishna

UID: UATEMAS129

Issue 1:

When ESB down at confirmation screen, after input TAC, "system unavailable" error message show at confirmation screen.

Expected Result:

Showed acknowledgement screen with gagal in the title and error message "System unavailable". if tapped done, will show same error message

"System unavailable"

Issue 2:

When ESB down, I tapped back to the input nominal screen. when I went further, it showed screen to ask the KTP and Selfie. that's UID already have

KTP and selfie.

Expected Result:
Show error message when tapped create pegadaian account in the bridging screen.

According to Imran, check-account API will call customerInfo ESB API, here should throw error message since ESB is down.

#6 - 01 March 2023 03:47 PM - yap chekying

- Subject changed from [UAT] [AND] [IOS] [Registration] Negative Testing Surrounding System - ESB Down - Error Message ###9907 to [UAT] [AND]

[IOS] [Registration] Negative Testing Surrounding System - ESB Down - Error Message ###9907 & 10014

#7 - 01 March 2023 03:48 PM - yap chekying

- Subject changed from [UAT] [AND] [IOS] [Registration] Negative Testing Surrounding System - ESB Down - Error Message ###9907 & 10014 to

[UAT] [AND] [IOS] [Registration] Negative Testing Surrounding System - ESB Down - Error Message ###9907 & 10014 &10015

#8 - 03 March 2023 09:10 AM - santhosh Krishna

- Assignee changed from santhosh Krishna to yap chekying

- % Done changed from 0 to 100

Issue 1: Fixed by Imran

Issue 2: Fixed and Deployed

#9 - 20 March 2023 04:33 PM - yap chekying

- Status changed from Assigned to Pending Close

#10 - 13 April 2023 01:09 PM - yap chekying

- Status changed from Pending Close to Closed

Closed by UAT tester
